<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_lmb', language 'en_us', branch 'MOODLE_24_STABLE'
 *
 * @package   enrol_lmb
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bannerxmlfoldercomphelp'] = 'If this option is selected, then enrollments missing from the extract files will be dropped.';
$string['bannerxmllocationcomphelp'] = 'If this option is selected, then enrollments missing from the extract file will be dropped.';
$string['disableenrol'] = 'Disable Enrollments on Drop';
$string['disableenrolhelp'] = 'Disable enrollments instead of unenrolling them. Prevents possible data loss in some versions and configurations of Moodle when users are dropped and re-added to a course.';
$string['dropprecentlimit'] = 'Do not drop if more than this percent of enrollments';
$string['dropprecentlimithelp'] = 'When doing comprehensive XML processing, missing enrollments are treated as drops. This setting will cause the module to skip the drop process if more than this percent of total enrollments in a term are set to be dropped';
$string['lmb:enrol'] = 'Enroll users';
$string['lmb:manage'] = 'Manage user enrollments';
$string['lmb:unenrol'] = 'Unenroll users from the course';
$string['lmb:unenrolself'] = 'Unenroll self from the course';
$string['page_reprocessenrolments'] = 'Reprocess Enrollments';
$string['parseenrol'] = 'XML Parse - Enrollment';
$string['parseenrolxml'] = 'Parse Enrollment XML';
$string['parseenrolxmlhelp'] = 'Process enrollment records. Parse Course and Parse Person must be on. When unchecked, records will be completely skipped.';
$string['unenrolmember'] = 'Unenroll members from course when directed';
$string['unenrolmemberhelp'] = 'Unenroll (or \'drop\') members from a course when an appropriate XML message is received.';
$string['xlstypehelp'] = 'This determines how crosslisted courses will be handled in Moodle. Options:
<ul>
<li>Merged course: This setting will cause the separate courses of the crosslist to be left empty, with no enrollments. All members will be enrolled directly into the crosslisted course.
<li>Meta course: This setting will cause members to be enrolled in the individual courses, while the crosslsted course is formed by making a meta-course containing all the individual courses.
</ul>';
